Class | Sequel::DB2::Dataset
In: | lib/sequel/adapters/db2.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows supports_window_functions?

### Constants

MAX_COL_SIZE | = | 256

### Public Instance methods

fetch_rows(sql) {|hash_row(sth)| ...}

[Source]

        # File lib/sequel/adapters/db2.rb, line 81
    81:       def fetch_rows(sql)
    82:         execute(sql) do |sth|
    83:           @column_info = get_column_info(sth)
    84:           @columns = @column_info.map {|c| output_identifier(c[:name])}
    85:           while (rc = SQLFetch(@handle)) != SQL_NO_DATA_FOUND
    86:             @db.check_error(rc, "Could not fetch row")
    87:             yield hash_row(sth)
    88:           end
    89:         end
    90:         self
    91:       end

supports_window_functions?()

DB2 supports window functions

[Source]

        # File lib/sequel/adapters/db2.rb, line 94
    94:       def supports_window_functions?
    95:         true
    96:       end

[Validate]